Subject: bug#51368: 29.0.50; `cl-case' should error on incorrect use

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Nov 2021 14:31:15 +0100

Philipp Stephani <[email-masked]> writes:

> Yes, but the problem only arises if the user wants to match the symbol
> `quote' plus exactly one other value. That should already be
> exceedingly rare, and can be trivially rewritten by swapping the two
> values (i.e. write (foo quote) instead of (quote foo)). So I think
> issuing a warning or error for that case is worth it.

I think we're getting into slightly muddy waters, but I think I agree --
a warning here is (much more) likely to be helpful than not.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no